slepc-3.21.1 2024-04-26
Report Typos and Errors

# STShellSetApplyHermitianTranspose

Sets routine to use as the application of the conjugate-transposed operator to a vector in the user-defined spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellSetApplyHermitianTranspose(ST st,PetscErrorCode (*applyhermtrans)(ST st,Vec xin,Vec xout))

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| applyhermtrans | - the application-provided transformation routine

### Calling sequence of applyhermtrans

     PetscErrorCode applyhermtrans(ST st,Vec xin,Vec xout)

| st | - the spectral transformation context
| xin | - input vector
| xout | - output vector

### Note

If configured with real scalars, this function has the same effect as STShellSetApplyTranspose(), so no need to call both.

### See Also

STShellSetApply(), STShellSetApplyTranspose(), STShellSetBackTransform()

### Level

advanced

### Location

src/sys/classes/st/impls/shell/shell.c

### Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages